# FoundationClasses
TKernel
NCollection

# FoundationClasses
TKernel
NCollection

# NCollection_DataMap< TheKeyType, TheItemType >::Iterator Class Reference

`#include <NCollection_DataMap.hxx>`

Inheritance diagram for NCollection_DataMap< TheKeyType, TheItemType >::Iterator:

[legend]

## Public Member Functions

| Iterator (void)
| Empty constructor.
| Iterator (const NCollection_DataMap &theMap)
| Constructor.
virtual Standard_Boolean | More (void) const
| Query if the end of collection is reached by iterator.
virtual void | Next (void)
| Make a step along the collection.
virtual const TheItemType & | Value (void) const
| Value inquiry.
virtual TheItemType & | ChangeValue (void) const
| Value change access.
const TheKeyType & | Key (void) const
| Key.
void * | operator new (size_t theSize, const Handle(NCollection_BaseAllocator)&theAllocator)
| Operator new for allocating iterators.

### template<class TheKeyType, class TheItemType>
class NCollection_DataMap< TheKeyType, TheItemType >::Iterator

## Constructor & Destructor Documentation

template<class TheKeyType, class TheItemType>
NCollection_DataMap< TheKeyType, TheItemType >::Iterator::Iterator | ( | void |  | ) | `[inline]`

| Reimplemented from NCollection_BaseCollection< TheItemType >::Iterator.

template<class TheKeyType, class TheItemType>
NCollection_DataMap< TheKeyType, TheItemType >::Iterator::Iterator | ( | const NCollection_DataMap & | theMap | ) | `[inline]`

## Member Function Documentation

template<class TheKeyType, class TheItemType>
virtual TheItemType& NCollection_DataMap< TheKeyType, TheItemType >::Iterator::ChangeValue | ( | void |  | ) | const`[inline, virtual]`

| Implements NCollection_BaseCollection< TheItemType >::Iterator.

template<class TheKeyType, class TheItemType>
const TheKeyType& NCollection_DataMap< TheKeyType, TheItemType >::Iterator::Key | ( | void |  | ) | const`[inline]`

template<class TheKeyType, class TheItemType>
virtual Standard_Boolean NCollection_DataMap< TheKeyType, TheItemType >::Iterator::More | ( | void |  | ) | const`[inline, virtual]`

| Implements NCollection_BaseCollection< TheItemType >::Iterator.

template<class TheKeyType, class TheItemType>
virtual void NCollection_DataMap< TheKeyType, TheItemType >::Iterator::Next | ( | void |  | ) | `[inline, virtual]`

| Implements NCollection_BaseCollection< TheItemType >::Iterator.

template<class TheKeyType, class TheItemType>
void* NCollection_DataMap< TheKeyType, TheItemType >::Iterator::operator new | ( | size_t | theSize,
|  | const Handle(NCollection_BaseAllocator)& | theAllocator
| ) | `[inline]`

template<class TheKeyType, class TheItemType>
virtual const TheItemType& NCollection_DataMap< TheKeyType, TheItemType >::Iterator::Value | ( | void |  | ) | const`[inline, virtual]`

| Implements NCollection_BaseCollection< TheItemType >::Iterator.

The documentation for this class was generated from the following file:

- NCollection_DataMap.hxx